Transparent Data Encryptions - Get
Get a Transparent Data Encryption
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DurableTask/schedulers/{schedulerName}/transparentDataEncryptions/default?api-version=2026-05-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
scheduler
|
path | True |
string pattern: ^[a-zA-Z0-9-]{3,64}$ |
The name of the Scheduler |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
Not found error: resource does not exist |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
TransparentDataEncryptions_Get_MaximumSet
Sample request
GET https://management.azure.com/subscriptions/EE9BD735-67CE-4A90-89C4-439D3F6A4C93/resourceGroups/rgdurabletask/providers/Microsoft.DurableTask/schedulers/testscheduler/transparentDataEncryptions/default?api-version=2026-05-01-preview
Sample response
{
"properties": {
"provisioningState": "Succeeded",
"keySource": "CustomerManaged",
"keyVaultKeyUri": "https://microsoft.com/ap"
},
"id": "/subscriptions/EE9BD735-67CE-4A90-89C4-439D3F6A4C93/resourceGroups/rgdurabletask/providers/Microsoft.DurableTask/schedulers/testscheduler/transparentDataEncryptions/default",
"name": "default",
"type": "Microsoft.DurableTask/schedulers/transparentDataEncryptions",
"systemData": {
"createdBy": "tenmbevaunjzikxowqexrsx",
"createdByType": "User",
"createdAt": "2024-04-17T15:34:17.365Z",
"lastModifiedBy": "xfvdcegtj",
"lastModifiedByType": "User",
"lastModifiedAt": "2024-04-17T15:34:17.366Z"
}
}
Definitions
| Name | Description |
|---|---|
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Provisioning |
The status of the current operation |
|
system |
Metadata pertaining to creation and last modification of the resource. |
|
Transparent |
A transparent data encryption resource belonging to the scheduler |
|
Transparent |
The key source for the transparent data encryption |
|
Transparent |
The transparent data encryption settings for the resource |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ProvisioningState
The status of the current operation
| Value | Description |
|---|---|
| Succeeded |
Resource has been created. |
| Failed |
Resource creation failed. |
| Canceled |
Resource creation was canceled. |
| Provisioning |
The resource is being provisioned |
| Updating |
The resource is updating |
| Deleting |
The resource is being deleted |
| Accepted |
The resource create request has been accepted |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |
TransparentDataEncryption
A transparent data encryption resource belonging to the scheduler
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
The name of the resource |
| properties |
The resource-specific properties for this resource. |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
TransparentDataEncryptionKeySource
The key source for the transparent data encryption
| Value | Description |
|---|---|
| MicrosoftManaged |
The key source is Microsoft-managed |
| CustomerManaged |
The key source is customer-managed |
TransparentDataEncryptionProperties
The transparent data encryption settings for the resource
| Name | Type | Description |
|---|---|---|
| keySource |
The key source for the transparent data encryption |
|
| keyVaultKeyUri |
string (uri) |
The URI of the key in Key Vault to be used for transparent data encryption |
| provisioningState |
The status of the last operation |